
/*
     * 格式化日期 create by guoxingwang 2017-07-15
     * type 01 '-' 02 '/' 03  '.'
     * format  01 年月日  02 年月日 时分 03 年月日时分秒
     * */
    exports.formatDateFun = (date,type,format)=>{
        if (date == '' || date == null) {
          return null
        }
        let nowDate = new Date(date);
        let y = nowDate.getFullYear();
        let m = nowDate.getMonth() + 1;
        m = m<10?"0" + m:m;
        let d = nowDate.getDate();
        d = d<10?"0" + d:d;
        let h = nowDate.getHours();
        h = h<10?"0" + h:h;
        let min = nowDate.getMinutes();
        min = min<10?"0" + min:min;
        let s = nowDate.getSeconds();
        s = s<10?"0" + s:s;
        let separatorType = "";
        switch(type){
          case '01':
            separatorType = '-';
            break;
          case '02':
            separatorType = '/';
            break;
          case '03':
            separatorType = '.';
            break;
          default:
            separatorType = '-';
            break;
        }
        if(format == '01'){//年月日
          return y + separatorType + m + separatorType + d;
        }else if(format == '02'){//年月日 时分
          return y + separatorType + m + separatorType + d + " " + h+ ":"+ min;
        }else if(format == '03'){//年月日  时分秒
          return y + separatorType + m + separatorType + d + " " + h+ ":"+ min + ":" +s;
        }else if(format == '04'){//年月
          return y + separatorType + m;
        } else{
          alert('时间格式输入有误')
        }
      };

/*性别
1女
2男
参照平台字典字段sex
*/
exports.sexFun = (sex)=> {
    switch(sex){
		case '1':
			return '女';
			break;
		case '2':
			return '男';
			break;
		default:
			return "未知";
			break;
	}
}
/*
订单状态
0临时订单
1未支付
2支付中
3已支付
4已检验
5已取消
6退款中
参照平台字典字段 order_state
*/
exports.orderStateFun = (state)=> {
    switch(state){
		case '0':
			return '临时订单';
			break;
		case '1':
			return '未支付';
            break;
        case '2':
			return '支付中';
			break;
		case '3':
			return '已支付';
            break;
        case '4':
			return '已检验';
			break;
		case '5':
			return '已取消';
            break;
        case '6':
			return '退款中';
			break;
		default:
			return "未知";
			break;
	}
}
/*
检验状态
0待采样
1物流待接单
2物流待接收
3物流已接收
4送捡中
5检验中
6生成报告
7部分报告
参照平台字典值 process_state
*/
exports.processStateFun = (state)=> {
    switch(state){
		case '0':
			return '待采样';
			break;
		case '1':
			return '物流待接单';
            break;
        case '2':
			return '物流待接收';
			break;
		case '3':
			return '物流已接收';
            break;
        case '4':
			return '送检中';
			break;
		case '5':
			return '检验中';
            break;
        case '6':
			return '生成报告';
            break;
        case '7':
            return '部分报告';
            break;
		default:
			return "未知";
			break;
	}
}